Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class ClassFileUtilities

    java.lang.Object
      org.apache.batik.util.ClassFileUtilities

public class ClassFileUtilities
extends java.lang.Object

This class contains utility methods to manipulate Java classes.

Field Summary
`static byte` | `CONSTANT_CLASS_INFO`
`static byte` | `CONSTANT_DOUBLE_INFO`
`static byte` | `CONSTANT_FIELDREF_INFO`
`static byte` | `CONSTANT_FLOAT_INFO`
`static byte` | `CONSTANT_INTEGER_INFO`
`static byte` | `CONSTANT_INTERFACEMETHODREF_INFO`
`static byte` | `CONSTANT_LONG_INFO`
`static byte` | `CONSTANT_METHODREF_INFO`
`static byte` | `CONSTANT_NAMEANDTYPE_INFO`
`static byte` | `CONSTANT_STRING_INFO`
`static byte` | `CONSTANT_UTF8_INFO`

Constructor Summary
`protected` | `ClassFileUtilities()` This class does not need to be instantiated.

Method Summary
`static java.util.Set` | `getClassDependencies(java.io.InputStream is)` Returns the dependencies of the given class.
`static java.util.Set` | `getClassDependencies(java.lang.String path, java.util.Set classpath)` Returns the dependencies of the given class.
`protected static java.util.Set` | `getDescriptorClasses(java.lang.String desc)` Returns the classes contained in a field or method desciptor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSTANT_UTF8_INFO

    public static final byte CONSTANT_UTF8_INFO

See Also:
  Constant Field Values

### CONSTANT_INTEGER_INFO

    public static final byte CONSTANT_INTEGER_INFO

See Also:
  Constant Field Values

### CONSTANT_FLOAT_INFO

    public static final byte CONSTANT_FLOAT_INFO

See Also:
  Constant Field Values

### CONSTANT_LONG_INFO

    public static final byte CONSTANT_LONG_INFO

See Also:
  Constant Field Values

### CONSTANT_DOUBLE_INFO

    public static final byte CONSTANT_DOUBLE_INFO

See Also:
  Constant Field Values

### CONSTANT_CLASS_INFO

    public static final byte CONSTANT_CLASS_INFO

See Also:
  Constant Field Values

### CONSTANT_STRING_INFO

    public static final byte CONSTANT_STRING_INFO

See Also:
  Constant Field Values

### CONSTANT_FIELDREF_INFO

    public static final byte CONSTANT_FIELDREF_INFO

See Also:
  Constant Field Values

### CONSTANT_METHODREF_INFO

    public static final byte CONSTANT_METHODREF_INFO

See Also:
  Constant Field Values

### CONSTANT_INTERFACEMETHODREF_INFO

    public static final byte CONSTANT_INTERFACEMETHODREF_INFO

See Also:
  Constant Field Values

### CONSTANT_NAMEANDTYPE_INFO

    public static final byte CONSTANT_NAMEANDTYPE_INFO

See Also:
  Constant Field Values

Constructor Detail

### ClassFileUtilities

    protected ClassFileUtilities()

  This class does not need to be instantiated.

Method Detail

### getClassDependencies

    public static java.util.Set getClassDependencies(java.lang.String path,
                                                     java.util.Set classpath)
                                              throws java.io.IOException

  Returns the dependencies of the given class.

  Parameters:
    `path` - The root class path.
    `classpath` - The set of directories (Strings) to scan.
  Returns:
    a list of paths representing the used classes.
  Throws:
    `java.io.IOException`

### getClassDependencies

    public static java.util.Set getClassDependencies(java.io.InputStream is)
                                              throws java.io.IOException

  Returns the dependencies of the given class.

  Returns:
    a list of strings representing the used classes.
  Throws:
    `java.io.IOException`

### getDescriptorClasses

    protected static java.util.Set getDescriptorClasses(java.lang.String desc)

  Returns the classes contained in a field or method desciptor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.